package tests;

import org.junit.Before;
import org.junit.Test;

import ui.controller.ConsoleController;
import ui.model.Model;
import ui.view.Console;

import java.awt.Color;

/**
 * Tests for the ConsoleController.
 * 
 * @author Gruppe14
 */
public class PraktikumHolonsTestConsoleController {

	protected Model model;
	protected ConsoleController controller;

	/**
	 * Setup.
	 */
	@Before
	public void setUp() {
		model = new Model();
		model.setConsole(new Console());
		controller = new ConsoleController(model);
	}

	/**
	 * Test for ConsoleController.
	 */
	@Test
	public void testConsoleController() {
		controller.addTextToConsole("Hello World");
		controller.addTextToConsole("Hello World2!", new Color(255, 255, 255), 11, false, true, false);
		controller.clearConsole();

	}
}
